docs / api / vin / plate-vin

Plate to VIN API

Convert U.S. license plate and state inputs into VIN-linked vehicle records through nationwide plate-to-VIN lookup requests.

GET
https://plate2vin.vinaudit.com/v1/licenselookup?

Request Parameters

Parameter

key

required

Example

YOUR_API_KEY_HERE

Description

Your VinAudit API key

Parameter

plate

required

Example

GHQ3084

Description

The vehicle's license plate number

Parameter

state

required

Example

OH

Description

Two-letter state abbreviation

Parameter

format

optional

Example

Description

Either json (for JSON output; default) or xml (for XML output)

Response Attributes

Field

VIN

Type

1C6SRFJT2NN300571

Description

The vehicle identification number

Field

error

Type

invalid_key

Description

One of: invalid_input (Invalid state, plate, or format) or invalid_key (Invalid API key) or no_data (No data found for plate)
or blank if no error

Field

success

Type

true

Description

If the request was a success

Example Request

HTTP
https://plate2vin.vinaudit.com/v1/licenselookup?

Example Response

JSON
JSON Format:
 {"success":true,"vin":"1C6SRFJT2NN300571"}

XML Format:
 <result>
<success>1</success>
<vin>1C6SRFJT2NN300571</vin>
</result>

Ready to build ?

Access the Market Listings and Market Values APIs with a free developer account. No credit card required.

Plate to VIN API Documentation | VinAudit | VinAudit